import { isServiceTypeResolver } from "@wroud/di/service-type-resolvers/BaseServiceTypeResolver.js";
import { isOptionalServiceTypeResolver } from "@wroud/di/service-type-resolvers/OptionalServiceTypeResolver.js";
export function isOptionalDependency(resolver) {
    let current = resolver;
    while (current) {
        if (isOptionalServiceTypeResolver(current)) {
            return true;
        }
        current = isServiceTypeResolver(resolver.next) ? resolver.next : null;
    }
    return false;
}
//# sourceMappingURL=isOptionalDependency.js.map